package com.supervision.controller;

import lombok.RequiredArgsConstructor;
import org.ahocorasick.trie.Emit;
import org.ahocorasick.trie.Trie;
import org.springframework.web.bind.annotation.*;

import java.util.Collection;


@RestController
@RequestMapping("test")
@RequiredArgsConstructor
public class TestController {



    @GetMapping("hello")
    public String hello() {
        System.out.println("hello");
        return "OK";
    }

    public static void main(String[] args) {

        // 创建 Trie 对象
        Trie trie = Trie.builder()
                .addKeyword("果果")
                .addKeyword("香蕉")
                .build();

        // 需要匹配的中文文本
        String text = "我喜欢吃苹果和香蕉，水果是我的最爱。";

        // 在中文文本中查找匹配关键词
        Collection<Emit> emits = trie.parseText(text);

        // 输出匹配结果
        for (Emit emit : emits) {
            System.out.println("在文本中找到关键词 '" + emit.getKeyword() + "'，位置：" + emit.getStart());
        }

    }


}
